<?php
session_start();
include "../../inc/config.php";
session_check();
switch ($_GET["act"]) {
  case "in":
  
  
  
  $data = array("codigo"=>$_POST["codigo"],"nombre"=>$_POST["nombre"],"categoria_idcategoria"=>$_POST["categoria_idcategoria"],"stock"=>$_POST["stock"],"precio_costo"=>$_POST["precio_costo"],"iva"=>$_POST["iva"],"precio_venta"=>$_POST["precio_venta"],);
  
  
  
   
    $in = $db->insert("productos",$data);
    
    if ($in=true) {
      echo "good";
    } else {
      return false;
    }
    break;
  case "delete":
    
    
    
    $db->delete("productos","idproductos",$_GET["id"]);
    break;
  case "up":
   $data = array("codigo"=>$_POST["codigo"],"nombre"=>$_POST["nombre"],"categoria_idcategoria"=>$_POST["categoria_idcategoria"],"stock"=>$_POST["stock"],"precio_costo"=>$_POST["precio_costo"],"iva"=>$_POST["iva"],"precio_venta"=>$_POST["precio_venta"],);
   
   
   

    
    $up = $db->update("productos",$data,"idproductos",$_POST["id"]);
    if ($up=true) {
      echo "good";
    } else {
      return false; 
    }
    break;
  default:
    # code...
    break;
}

?>